Zapmail
latest
  • latest
  • v1
latest
  • latest
  • v1
Sign In
latest
  • latest
  • v1
Root
Root
  1. Zapwarm
  • Zapmail Docs
  • Webhooks
  • MCP
  • Unified Provider Launch — Oct 13, 2026
  • users
    • Retrieve User Details
      GET
  • quick setup
    • Quick Setup
      POST
  • workspaces
    • Delete A Workspace
      DELETE
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
    • Update Domain Renewal Settings
      POST
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
    • Get Mailbox Details by ID
    • Assign New Mailboxes to Domains
    • Update mailbox
    • Remove mailboxes on next renewal
    • Get Authenticator code
    • Custom OAuth
    • schedule mailbox creation
    • retry creation of failed mailboxes
  • payments & wallet
    • Add balance to wallet
    • Get wallet balance
    • Enable auto recharge
    • Purchase add on mailboxes
    • get invoices for subscription
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
    • Fetch Workspaces by App
    • List all third-party accounts
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
    • List Domains Eligible for Renewal
    • Get Renewal Price
    • Renew Domains
    • Delete Tag
    • Remove Tags From Domains
    • Update Auto Renew Preference
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
    • Get Prewarm Subscriptions
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • Zapsites
    • Scan A Site
    • Create a New Zapsite
    • Fetch A Zapsite
    • Edit a Zapsite
    • Regenerate a Zapsite
    • Deploy a Zapsite
    • Bulk create ZapSites
  • global
    • Global mailbox-domain search
  • zapbox
    • Send Email
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Webhooks
    • Get Event Types
    • Get Webhook Endpoints/Destinations
    • Create New Webhook Endpoint/Destination
    • Update a Specific Endpoint
  • Zapwarm
    • List mailboxes eligible for warmup
      GET
    • Get the Zapwarm quote for selected mailboxes
      POST
    • Start Zapwarm on selected mailboxes
      POST
    • Turn off Zapwarm on selected mailboxes
      POST
    • Edit Zapwarm settings
      PATCH
    • Get zapwarm score
      POST
  • Schemas
    • domain with filter
  1. Zapwarm

Start Zapwarm on selected mailboxes

POST
/zap-warm/start
Uses unused slots first and buys missing slots from the wallet (always). If the wallet cannot cover them,
warmup starts on as many mailboxes as the unused slots allow and a 402 is returned listing the rest.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Warmup started (all eligible mailboxes)
Bodyapplication/json

🟠402
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zapmail.ai/api/zap-warm/start' \
--header 'x-auth-zapmail: b3a1f6c2-5d4e-4f7a-9b8c-2e1d0c9b8a76' \
--header 'x-workspace-key: 0e9d8c7b-6a5f-4e3d-8c2b-1a0f9e8d7c6b' \
--header 'Content-Type: application/json' \
--data '{
    "mailboxIds": [
        "3f1c2a4e-8b7d-4e21-9a6c-1d2e3f405a61",
        "7a9b0c1d-2e3f-4a5b-8c6d-7e8f9a0b1c2d",
        "c4d5e6f7-1a2b-4c3d-9e8f-0a1b2c3d4e5f"
    ],
    "settings": {
        "dailyEmails": 20,
        "warmupIndustry": "SaaS",
        "minWarmupLimit": 5,
        "maxWarmupLimit": 30,
        "increasePerDay": 2,
        "slowWarmupEnabled": true,
        "warmupOnWeekdaysOnly": true,
        "minimumDelayBetweenWarmupEmails": 10,
        "maximumDelayBetweenWarmupEmails": 45,
        "warmupReplyRate": 35,
        "maxThreadCount": 3,
        "warmupOpenRate": 80,
        "warmupSpamProtectionRate": 90,
        "warmupMarkAsImportantRate": 25,
        "moveWarmupEmails": false,
        "warmupDestinationFolder": "Inbox",
        "warmupTargetProvider": "BALANCED",
        "warmupLanguage": "en",
        "warmupTargetGeography": [
            "US",
            "GB"
        ],
        "warmupTimezone": "America/New_York"
    }
}'
Response Response Example
200 - Success
{
    "status": 200,
    "message": "Warmup request sent",
    "data": {
        "paymentRequired": false,
        "freeTrialEndsAt": null,
        "count": 3,
        "queuedMailboxIds": [],
        "pendingOAuthMailboxIds": [],
        "skippedMailboxIds": [],
        "inactiveDomainMailboxIds": [],
        "ineligibleMailboxIds": []
    }
}
Modified at 2026-10-22 13:26:10
Previous
Get the Zapwarm quote for selected mailboxes
Next
Turn off Zapwarm on selected mailboxes
Built with